Bug 169964 - current python breaks running of python -c in rpm defines under mock
current python breaks running of python -c in rpm defines under mock
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Brock Organ
:
Depends On:
Blocks: 169884
  Show dependency treegraph
 
Reported: 2005-10-05 17:48 EDT by Jeremy Katz
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.4.1-14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-06 15:02:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2005-10-05 17:48:24 EDT
Using python -c ... to get the location of python_sitelib in a define causes
python to segfault when rpmbuild is being run under mock.  segfault backtrace on
x86_64 is:

*** glibc detected *** python: double free or corruption (out):
0x00002aaaaac9b2a0 ***
======= Backtrace: =========
/lib64/libc.so.6[0x2aaaab2fb0be]
/lib64/libc.so.6(__libc_free+0x6e)[0x2aaaab2fb5ee]
/usr/lib64/libpython2.4.so.1.0(PySys_SetArgv+0x16b)[0x2aaaaac72de2]
/usr/lib64/libpython2.4.so.1.0(Py_Main+0x60e)[0x2aaaaac75915]
/lib64/libc.so.6(__libc_start_main+0xef)[0x2aaaab2acd1f]
python[0x400659]
======= Memory map: ========
00400000-00401000 r-xp 00000000 08:05 11813302                          
/usr/bin/python
00500000-00501000 rw-p 00000000 08:05 11813302                          
/usr/bin/python
00501000-00566000 rw-p 00501000 00:00 0                                  [heap]
2aaaaaaab000-2aaaaaac5000 r-xp 00000000 08:05 6684954                   
/lib64/ld-2.3.90.so
2aaaaaac5000-2aaaaaac6000 rw-p 2aaaaaac5000 00:00 0
2aaaaaac8000-2aaaaab0a000 rw-p 2aaaaaac8000 00:00 0
2aaaaab0b000-2aaaaab4c000 rw-p 2aaaaab0b000 00:00 0
2aaaaab4d000-2aaaaab7e000 rw-p 2aaaaab4d000 00:00 0
2aaaaabc4000-2aaaaabc5000 r--p 00019000 08:05 6684954                   
/lib64/ld-2.3.90.so
2aaaaabc5000-2aaaaabc6000 rw-p 0001a000 08:05 6684954                   
/lib64/ld-2.3.90.so
2aaaaabc6000-2aaaaacb7000 r-xp 00000000 08:05 5654470                   
/usr/lib64/libpython2.4.so.1.0
2aaaaacb7000-2aaaaadb7000 ---p 000f1000 08:05 5654470                   
/usr/lib64/libpython2.4.so.1.0
2aaaaadb7000-2aaaaade9000 rw-p 000f1000 08:05 5654470                   
/usr/lib64/libpython2.4.so.1.0
2aaaaade9000-2aaaaaded000 rw-p 2aaaaade9000 00:00 0
2aaaaaded000-2aaaaadfc000 r-xp 00000000 08:05 6684985                   
/lib64/libpthread-2.3.90.so
2aaaaadfc000-2aaaaaefc000 ---p 0000f000 08:05 6684985                   
/lib64/libpthread-2.3.90.so
2aaaaaefc000-2aaaaaefd000 r--p 0000f000 08:05 6684985                   
/lib64/libpthread-2.3.90.so
2aaaaaefd000-2aaaaaefe000 rw-p 00010000 08:05 6684985                   
/lib64/libpthread-2.3.90.so
2aaaaaefe000-2aaaaaf02000 rw-p 2aaaaaefe000 00:00 0
2aaaaaf02000-2aaaaaf04000 r-xp 00000000 08:05 6684967                   
/lib64/libdl-2.3.90.so
2aaaaaf04000-2aaaab004000 ---p 00002000 08:05 6684967                   
/lib64/libdl-2.3.90.so
2aaaab004000-2aaaab005000 r--p 00002000 08:05 6684967                   
/lib64/libdl-2.3.90.so
2aaaab005000-2aaaab006000 rw-p 00003000 08:05 6684967                   
/lib64/libdl-2.3.90.so
2aaaab006000-2aaaab007000 rw-p 2aaaab006000 00:00 0
2aaaab007000-2aaaab009000 r-xp 00000000 08:05 6684993                   
/lib64/libutil-2.3.90.so
2aaaab009000-2aaaab108000 ---p 00002000 08:05 6684993                   
/lib64/libutil-2.3.90.so
2aaaab108000-2aaaab109000 r--p 00001000 08:05 6684993                   
/lib64/libutil-2.3.90.so
2aaaab109000-2aaaab10a000 rw-p 00002000 08:05 6684993                   
/lib64/libutil-2.3.90.so
2aaaab10a000-2aaaab18e000 r-xp 00000000 08:05 6684969                   
/lib64/libm-2.3.90.so
2aaaab18e000-2aaaab28e000 ---p 00084000 08:05 6684969                   
/lib64/libm-2.3.90.so
2aaaab28e000-2aaaab28f000 r--p 00084000 08:05 6684969                   
/lib64/libm-2.3.90.so
2aaaab28f000-2aaaab290000 rw-p 00085000 08:05 6684969                   
/lib64/libm-2.3.90.so
2aaaab290000-2aaaab3bf000 r-xp 00000000 08:05 6684961                   
/lib64/libc-2.3.90.so
2aaaab3bf000-2aaaab4be000 ---p 0012f000 08:05 6684961                   
/lib64/libc-2.3.90.so
2aaaab4be000-2aaaab4c2000 r--p 0012e000 08:05 6684961                   
/lib64/libc-2.3.90.so
2aaaab4c2000-2aaaab4c4000 rw-p 00132000 08:05 6684961                   
/lib64/libc-2.3.90.so
2aaaab4c4000-2aaaab4ca000 rw-p 2aaaab4c4000 00:00 0
2aaaab500000-2aaaab521000 rw-p 2aaaab500000 00:00 0
2aaaab521000-2aaaab600000 ---p 2aaaab521000 00:00 0
2aaaab600000-2aaaab60d000 r-xp 00000000 08:05 6684952                   
/lib64/libgcc_s-4.0.2-20050929.so.1
2aaaab60d000-2aaaab70c000 ---p 0000d000 08:05 6684952                   
/lib64/libgcc_s-4.0.2-20050929.so.1
2aaaab70c000-2aaaab70d000 rw-p 0000c000 08:05 6684952                   
/lib64/libgcc_s-4.0.2-20050929.so.1
7fffffed8000-7fffffeee000 rw-p 7fffffed8000 00:00 0                     
[stack]ffffffffff600000-ffffffffffe00000 ---p 00000000 00:00 0                 
[vdso]
Comment 1 Peter Jones 2005-10-06 15:02:38 EDT
Ieeeeeeeeeeeeeeeeeeeeeeeeeee!

Note You need to log in before you can comment on or make changes to this bug.